ch.qos.logback.classic.gaffer

## Class PropertyUtil

- java.lang.Object
- - ch.qos.logback.classic.gaffer.PropertyUtil

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class PropertyUtil
    extends Object
    implements groovy.lang.GroovyObject

### Constructor Summary

Constructors
Constructor and Description
`PropertyUtil()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `attach(NestingType nestingType, Object component, Object subComponent, String name)`
`static Object` `convertByValueMethod(Object component, String name, String value)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static boolean` `hasAdderMethod(Object obj, String name)`
`Object` `invokeMethod(String method, Object arguments)`
`static NestingType` `nestingType(Object obj, String name, Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`static String` `transformFirstLetter(String s, groovy.lang.Closure closure)`
`static String` `upperCaseFirstLetter(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyUtil

    public PropertyUtil()

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public Object getProperty(String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty(String property,
                            Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### hasAdderMethod

    public static boolean hasAdderMethod(Object obj,
                                         String name)

#### nestingType

    public static NestingType nestingType(Object obj,
                                          String name,
                                          Object value)

#### convertByValueMethod

    public static Object convertByValueMethod(Object component,
                                              String name,
                                              String value)

#### attach

    public static void attach(NestingType nestingType,
                              Object component,
                              Object subComponent,
                              String name)

#### transformFirstLetter

    public static String transformFirstLetter(String s,
                                              groovy.lang.Closure closure)

#### upperCaseFirstLetter

    public static String upperCaseFirstLetter(String s)